Subject: Re: [PATCH] allow git to use the PATH for finding subcommands and help docs

From: Scott Parish <[email-masked]>
Date: Fri, 19 Oct 2007 23:42:40 -0700

On Fri, Oct 19, 2007 at 04:27:39PM +0200, Johannes Schindelin wrote:

> While reading this, I have to wonder why it is not just simpler to try 
> with builtin_exec_path first, and if that fails, just let exec() find the 
> program in the PATH?

I think you're right; that is a much better way to do this. I've
rewritten this as two patches i'll post shortly. I have mixed
feelings about the MANPATH/PERL5LIB hack, so i'm leaving it out for
now.

sRp

-- 
Scott Parish
http://srparish.net/